package com.docus.server.dto.scheduling.management.schcollector;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import com.docus.server.enums.*;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
*
* 采集器管理 EditDTO
*
* @author AutoGenerator
* @since 2023-07-15
*/
@Data
@ApiModel(value="EditSchCollectorDTO对象", description="采集器管理")
public class EditSchCollectorDTO implements Serializable {

    @ApiModelProperty(value = "主键（采集器id）")
    private Long id;

    @ApiModelProperty(value = "采集器id")
    private Long collectorVersionId;

    @ApiModelProperty(value = "采集语言")
    private String collectLanguage;

    @ApiModelProperty(value = "采集器类型")
    private CollectTypeEnum collectType;

    @ApiModelProperty(value = "启动方式")
    private String startMode;

    @ApiModelProperty(value = "采集器任务超时时间")
    private Long taskTimeout;

    @ApiModelProperty(value = "入库时间")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "入库更新时间")
    private LocalDateTime updateTime;


}
