package com.docus.server.entity.scheduling.management;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import com.docus.server.enums.*;

/**
*
* 采集器版本列表管理
*
* @author AutoGenerator
* @since 2023-07-15
*/
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("sch_collector_version")
@ApiModel(value="SchCollectorVersion对象", description="采集器版本列表管理")
public class SchCollectorVersion implements Serializable {

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private Long id;

    @ApiModelProperty(value = "采集器管理id")
    @TableField("collector_id")
    private Long collectorId;

    @ApiModelProperty(value = "版本号")
    @TableField("collect_version")
    private String collectVersion;

    @ApiModelProperty(value = "入库时间")
    @TableField("create_time")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "入库更新时间")
    @TableField("update_time")
    private LocalDateTime updateTime;


}
