package com.docus.server.entity.scheduling.management;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import com.docus.server.enums.*;

/**
*
* 采集器版本列表更新包管理
*
* @author AutoGenerator
* @since 2023-07-15
*/
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("sch_collector_version_file")
@ApiModel(value="SchCollectorVersionFile对象", description="采集器版本列表更新包管理")
public class SchCollectorVersionFile implements Serializable {

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private Long id;

    @ApiModelProperty(value = "采集器管理版本id")
    @TableField("collector_version_id")
    private Long collectorVersionId;

    @ApiModelProperty(value = "采集器管理id")
    @TableField("collector_id")
    private Long collectorId;

    @ApiModelProperty(value = "文件标题")
    @TableField("file_title")
    private String fileTitle;

    @ApiModelProperty(value = "文件目录 单纯文件夹路径，不带文件名，如：F:\\嘉时\\新建文件夹\\")
    @TableField("image_path")
    private String imagePath;

    @ApiModelProperty(value = "文件名称")
    @TableField("file_name")
    private String fileName;

    @ApiModelProperty(value = "文件大小")
    @TableField("file_size")
    private Integer fileSize;

    @ApiModelProperty(value = "文件类型")
    @TableField("file_type")
    private String fileType;

    @ApiModelProperty(value = "是否作废 1：是；0：否")
    @TableField("state")
    private Integer state;

    @ApiModelProperty(value = "入库时间")
    @TableField("create_time")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "入库更新时间")
    @TableField("update_time")
    private LocalDateTime updateTime;


}
