package com.docus.server.vo.scheduling.management.schcollectorversionfile;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import com.docus.server.enums.*;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
*
* 采集器版本列表更新包管理 VO
*
* @author AutoGenerator
* @since 2023-07-15
*/
@Data
@ApiModel(value="SchCollectorVersionFileVO对象", description="采集器版本列表更新包管理")
public class SchCollectorVersionFileVO implements Serializable {

    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "采集器管理版本id")
    private Long collectorVersionId;

    @ApiModelProperty(value = "采集器管理id")
    private Long collectorId;

    @ApiModelProperty(value = "文件标题")
    private String fileTitle;

    @ApiModelProperty(value = "文件目录 单纯文件夹路径，不带文件名，如：F:\\嘉时\\新建文件夹\\")
    private String imagePath;

    @ApiModelProperty(value = "文件名称")
    private String fileName;

    @ApiModelProperty(value = "文件大小")
    private Integer fileSize;

    @ApiModelProperty(value = "文件类型")
    private String fileType;

    @ApiModelProperty(value = "是否作废 1：是；0：否")
    private Integer state;

    @ApiModelProperty(value = "入库时间")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "入库更新时间")
    private LocalDateTime updateTime;


}
