package com.docus.server.dto.scheduling.management.schcollectorversionlog;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import com.docus.server.enums.*;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
*
* 采集器版本更新日志管理 AddDTO
*
* @author AutoGenerator
* @since 2023-07-15
*/
@Data
@ApiModel(value="AddSchCollectorVersionLogDTO对象", description="采集器版本更新日志管理")
public class AddSchCollectorVersionLogDTO implements Serializable {

    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "采集器管理版本id")
    private Long collectorVersionId;

    @ApiModelProperty(value = "采集器管理id")
    private Long collectorId;

    @ApiModelProperty(value = "操作模块")
    private String operationModule;

    @ApiModelProperty(value = "操作类型")
    private String operationType;

    @ApiModelProperty(value = "操作描述")
    private String operationDesc;

    @ApiModelProperty(value = "操作内容")
    private String operationContent;

    @ApiModelProperty(value = "执行状态0：成功，1:失败")
    private Integer state;

    @ApiModelProperty(value = "入库时间")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "入库更新时间")
    private LocalDateTime updateTime;


}
