package com.docus.server.dto.scheduling.management.schcollectrecordretrylog;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import com.docus.server.enums.*;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
*
* 采集记录表重试表 EditDTO
*
* @author AutoGenerator
* @since 2023-07-15
*/
@Data
@ApiModel(value="EditSchCollectRecordRetryLogDTO对象", description="采集记录表重试表")
public class EditSchCollectRecordRetryLogDTO implements Serializable {

    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "采集记录表id")
    private Long collectRecordId;

    @ApiModelProperty(value = "终端主键")
    private Long terminatorId;

    @ApiModelProperty(value = "采集器类型")
    private CollectTypeEnum collectType;

    @ApiModelProperty(value = "任务id")
    private Long taskId;

    @ApiModelProperty(value = "任务名称")
    private String taskName;

    @ApiModelProperty(value = "任务描述")
    private String taskMemo;

    @ApiModelProperty(value = "数据起始时间范围")
    private LocalDateTime startTime;

    @ApiModelProperty(value = "数据结束时间范围")
    private LocalDateTime endTime;

    @ApiModelProperty(value = "任务详细信息")
    private String taskDetailInfo;

    @ApiModelProperty(value = "任务执行状态，0：成功，1：失败")
    private String taskExecState;

    @ApiModelProperty(value = "最近一次任务执行失败原因")
    private String lastTaskErrorMsg;

    @ApiModelProperty(value = "入库时间")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "入库更新时间")
    private LocalDateTime updateTime;


}
